org.apache.fontbox.ttf.table.common

## Class RangeRecord

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.RangeRecord

    public class RangeRecord
    extends Object

This class models the Range Record in the Coverage format 2 in the Open Type layout common tables.

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`RangeRecord(int startGlyphID, int endGlyphID, int startCoverageIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEndGlyphID()`
`int` `getStartCoverageIndex()`
`int` `getStartGlyphID()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RangeRecord

    public RangeRecord(int startGlyphID,
                       int endGlyphID,
                       int startCoverageIndex)

### Method Detail

#### getStartGlyphID

    public int getStartGlyphID()

#### getEndGlyphID

    public int getEndGlyphID()

#### getStartCoverageIndex

    public int getStartCoverageIndex()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`